## apprecommender 0.7.5

=== apprecommender/Makefile ===
doc:
	./generate_doc.sh

clean :
	@find . -name \*.pyc -delete

## apprecommender 0.6.2.3

=== debian/changelog ===
apprecommender (0.6.2.3-1) unstable; urgency=medium

  [ Lucas Albuquerque Medeiros de Moura ]
  * New upstream release

  [ Antonio Terceiro ]
  * debian/control:
    - add Vcs-* headers to debian/control
    - add myself to Uploaders:

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Fri, 08 Jul 2016 08:52:44 -0300

apprecommender (0.6.1.2-1) unstable; urgency=medium

  * Initial release (Closes: 826295)

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Mon, 16 May 2016 14:42:53 -0300

=== debian/control ===
Source: apprecommender
Section: misc
Priority: optional
Maintainer: Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-mock,
               python-nose,
               python-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/tassia/AppRecommender
X-Python-Version: >= 2.6
Vcs-Git: https://gitlab.com/AppRecommender/AppRecommender-package
Vcs-Browser: https://gitlab.com/AppRecommender/AppRecommender-package

Package: apprecommender
Architecture: all
Depends: apt-xapian-index,
         debtags,
         python-apt,
         python-cluster,
         python-fuzzywuzzy,
         python-numpy,
         python-sklearn,
         python-stemmer,
         python-xapian,
         ${misc:Depends},
         ${python:Depends}
Description: Application recommender for Debian (and derivatives)
 The user provides a set of applications installed in her/his system and the
 recommender suggests a set of programs that she/he might also be interested in,
 based on the profile deduced from the his previous choices and other similar
 users choices. The recommendations are composed using classification and
 information retrieval techniques using debtags, apt-xapian-index and user
 packages terms as data sources.

## apprecommender 0.7.5

=== debian/changelog ===
apprecommender (0.7.5-2) unstable; urgency=medium

  * Verify if apprec command exists in cron file (Closes: #860441)

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Mon, 17 Apr 2017 16:37:03 -0300

apprecommender (0.7.5-1) unstable; urgency=medium

  [ Lucas Albuquerque Medeiros de Moura ]
  * New upstream release.
  * Fix problem with unnecessay modules being shipped (Closes: #831217)
  * Add patch to change database install location
  * Add crontab to keep updating apprecommender database weekly
  * Add postinst script to set apprecommender database
  * Add postrm script for package purge
  * Add script to allow apt update command to trigger a database rebuild
  * debian/tests: update scrips to run with apprec user
  * Add manpage to apprec-apt

  [ Luciano Prestes Cavalcanti ]
  * New upstream release.
  * Remove patch to change database install location.
  * Remove apt hook of debian folder to use the upstream apt hook.

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Tue, 11 Apr 2017 17:12:01 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 Package: apprecommender
 Architecture: all
-Depends: apt-xapian-index,
+Depends: adduser,
+         apt-xapian-index,
          debtags,
          python-apt,
          python-cluster,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=apprecommender

%:
	dh $@  --with python2 --buildsystem=pybuild

override_dh_auto_test:
	echo "Skipping tests"

=== debian/tests/control ===
Tests: tools
Depends: @
Restrictions: allow-stderr, needs-root

Tests: unit-tests
Depends: @, python-nose, python-mock 
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/AppRecommender-$1\.tar\.gz/ \
  https://github.com/tassia/AppRecommender/tags .*/v?(\d\S*)\.tar\.gz
